image: node:latest

cache:
  paths:
    - node_modules/

stages:
  - prepare
  - lint
  - test
  - build
  - deploy

install:
  stage: prepare
  script: CI=false yarn install

eslint:
  stage: lint
  script: CI=true yarn lint

test_app:
  stage: test
  script: CI=true yarn test

build_app:
  stage: build
  script: CI=false yarn build

deploy_app_dev:
  stage: deploy
  only:
    - develop
  script:
    - git push https://$HEROKU_USER:$HEROKU_API_KEY@git.heroku.com/wyrvalski-marvel-api-dev.git HEAD:master

deploy_app_prod:
  stage: deploy
  only:
   - master
  script:
    - git push https://$HEROKU_USER:$HEROKU_API_KEY@git.heroku.com/wyrvalski-marvel-api.git HEAD:master
